org.openmuc.openiec61850

## Enum ReportEntryData.ReasonCode

- java.lang.Object
- - java.lang.Enum<ReportEntryData.ReasonCode>
  - - org.openmuc.openiec61850.ReportEntryData.ReasonCode

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<ReportEntryData.ReasonCode>

Enclosing class:
  ReportEntryData

    public static enum ReportEntryData.ReasonCode
    extends java.lang.Enum<ReportEntryData.ReasonCode>

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`APPTRIGGER`
`DCHG`
`DUPD`
`GI`
`INTEGRITY`
`QCHG`

### Method Summary

All Methods Static Methods Concrete Methods
`static ReportEntryData.ReasonCode` `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static ReportEntryData.ReasonCode[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### DCHG

    public static final ReportEntryData.ReasonCode DCHG

#### QCHG

    public static final ReportEntryData.ReasonCode QCHG

#### DUPD

    public static final ReportEntryData.ReasonCode DUPD

#### INTEGRITY

    public static final ReportEntryData.ReasonCode INTEGRITY

#### GI

    public static final ReportEntryData.ReasonCode GI

#### APPTRIGGER

    public static final ReportEntryData.ReasonCode APPTRIGGER

### Method Detail

#### values

    public static ReportEntryData.ReasonCode[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (ReportEntryData.ReasonCode c : ReportEntryData.ReasonCode.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static ReportEntryData.ReasonCode valueOf(java.lang.String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
  `java.lang.NullPointerException` - if the argument is null